<template>
    <div class="w-100 __content_page">
        <v-layout>
            <v-flex column v-if="pages" class="_pcontent">
                
                <v-breadcrumbs 
                    class="pl-0"
                    :items="pages.breadcrumb"
                >
                    <template v-slot:divider>
                        <v-icon>chevron_right</v-icon>
                    </template>
                </v-breadcrumbs>
                <div v-html="content" id="_conten"></div>

            </v-flex>
        </v-layout>
    </div>
</template>
<script>
import axios from 'axios';

export default {
    asyncData(context) {
        var store = context.store;
        var url = context.params.pages;
        var api_key = store.state.api_key;

        var url = store.state.api_domain + '?comp=cms&url=' + url + '&api=' + api_key;

        return axios.get(store.state.api_domain + '?comp=cms&url=' + url)
        .then((res) => {
          console.log(res.data);
            return {
                pages: res.data.cms
            }
        });
    },
    data () {
        return{
            pages: [],
            content: null,
        }
    },
    created() {
        this.content = this.pages.content;
    },
    head() {
        if (this.pages.meta_title) {
            return {
                title: this.pages.meta_title,
                meta: [
                    {hid: 'description', name: 'description', content: this.pages.meta_description},
                    {hid: 'keywords', name: 'keywords', content: this.pages.meta_keywords}
                ]
            }
        } else {
            return {
                title: 'BalingWireDirect',
            }
        }
    }
}
</script>

<style>
._pcontent {
    padding: 40px;
    background: #fff;
    box-shadow: 0 1px 2px 0 rgba(60,64,67,.3), 0 1px 3px 1px rgba(60,64,67,.15);
}


._pcontent h1, ._pcontent h2 {
    font-weight: 400;
    font-size: 32px;
    color: #202124;
}

.__content_page {
    margin: 30px;
}

._pcontent #_conten p *:not(h1, h2, h3, h4, h5, h6, i, .v-breadcrumbs), ._pcontent #_conten *:not(h1, h2, h3, h4, h5, h6, i, .v-breadcrumbs) {
    font-family: 'Roboto Slab', serif !important;  
    line-height: 2 !important;
    margin-bottom: 15px !important;
    font-size: 16px !important;
    color: #333 !important;
}


</style>